///////////////////////////////////////////////////////////////////////////////
//                                                                           //
// Copyright (C) 2006 by Intel Corporation and Carnegie Mellon University    //
//                                                                           //
///////////////////////////////////////////////////////////////////////////////

#ifndef __CATOMSTICK_H
#define __CATOMSTICK_H

#include "CodeModule.hxx"
#include "CatomWorld.hxx"

CODE_MODULE_PROTOTYPE( CatomStick, CatomStick, 1 );
using namespace std;

extern CatomWorld *worldPtr;

class CatomStick : public CodeModule {
	int mode;
	bool need_update;
	Point3D lastpos;
public:
	CatomStick(catomID _hostCatom, int m=0) :
		CodeModule(_hostCatom),mode(m),need_update(0) {};
	void set_mode( int m ) { mode=m; };
	virtual void newTick();	
	virtual void endTick();
};

#endif
